<template>
    <div class="job-list mx-auto p-4">
        <AtomHeadline type="h1" text="Recent job Postings"></AtomHeadline>
        <p class="text-xl my-2 font-extralight">
            Showing {{ jobs?.length }} of
            {{ pageable?.totalElements }} available jobs
        </p>
        <MoleculeRecentJobPostingItem
            v-for="job in jobs"
            :key="job?.id"
            :job="job"
            class="my-10"
        ></MoleculeRecentJobPostingItem>

        <br />
        <br />
        <AtomButton
            class="btn-width"
            content="Search for a Job"
            type="primary"
            @click="loadJobs"
        ></AtomButton>
        <br />
    </div>
</template>
<script>
import { ref } from "vue";
const recentSearches = ref([
    {
        id: "absa929",
        keywords: "Accountant, Scientist",
        languages: "English, German",
        distance: 100,
        location: "Frankfurt",
    },
]);

export default {
    data() {
        return {
            jobs: [
                {
                    createdAt: new Date("01/01/2022"),
                    title: "UI Designer",
                    id: 1,
                    details: "Pune",
                    jobType: "Free Lancing",
                    address: { town: "Pune", country: "India" },
                },
                {
                    createdAt: new Date("10/10/2021"),
                    title: "Developer",
                    id: 2,
                    details: "Pune",
                    jobType: "Part time-No Work Experience Necessary",
                    address: { town: "Mumbai", country: "India" },
                },
                {
                    createdAt: new Date(),
                    title: "Product Manager",
                    id: 3,
                    details: "Pune",
                    jobType: "Full-time Students can apply",
                    address: { town: "Delhi", country: "India" },
                },
            ],
        };
    },
};
</script>
<style lang="scss" scoped>
.job-list {
    max-width: auto;
}
.btn-width {
    width: 600px;
    text-align: center;
    margin: auto;
    position: fixed;
    display: flex;
}
</style>
